Name: krbafs
Version: 1.0.2
Release: 4
Source: ftp://ftp.pdc.kth.se/pub/krb/src/krb4-%{version}.tar.gz
Copyright: Freely Distributable
Group: System Environment/Libraries
Patch0: krbafs-1.0.2-krb5.patch
Patch1: krbafs-1.0.2-short.patch
Patch2: krbafs-1.0.2-strlcpy.patch
Summary: A Kerberos to AFS bridging library, built against Kerberos 5.
Buildroot: %{_tmppath}/%{name}-root
Requires: krb5-libs
BuildPrereq: krb5-devel

%define prefix /usr/kerberos

%description
This package contains the krbafs shared library, which allows programs
to obtain AFS network filesystem tokens using Kerberos IV credentials,
without having to link with official AFS libraries which may not be
available for a given platform.

%package utils
Summary: Kerberos/AFS utility binaries.
Group: Applications/System

%description utils
This package contains utilities for use with Kerberos and the krbafs
Kerberos to AFS bridging library.  Versions of afslog, pagsh, and
kstring2key linked against libkafs are included.

%changelog
* Mon Oct  9 2000 Nalin Dahyabhai <nalin@redhat.com>
- drop dangling symlink (#18750)

* Wed Aug 16 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix summary and description

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 29 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.0.2

* Tue Jun 27 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new build environment (release 3)

* Sun Jun  4 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix for compiling with new gcc

* Tue Mar 14 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 1.0.1

* Tue Mar  7 2000 Jeff Johnson <jbj@redhat.com>
- rebuild for sparc baud rates > 38400.

* Thu Mar 02 2000 Nalin Dahyabhai <nalin@redhat.com>
- add Requires: krb5-libs and BuildPrereq: krb5-devel

* Thu Jan 06 2000 Nalin Dahyabhai <nalin@redhat.com>
- make prefix changeable in case we decide to move it later

* Wed Dec 16 1999 Nalin Dahyabhai <nsdahya1@pobox.com>
- update to 1.0 (whee!)

* Mon Dec 13 1999 Nalin Dahyabhai <nsdahya1@pobox.com>
- link shared lib against libresolv and libcrypt to help resolve symbols in
  configure tests
- make %ifarch ppc parts %ifnarch i386

* Thu Dec 02 1999 Jeremy Katz <jlkatz@unity.ncsu.edu>
- Build the static lib for libkrbafs as well as linking against all the necessary libs
  with the shared lib
* Wed Dec 01 1999 Jeremy Katz <jlkatz@unity.ncsu.edu>
- Added ppc-specific symlinking afslog as replacement for aklog

* Tue Nov 30 1999 Nalin Dahyabhai <nalin.dahyabhai@pobox.com>
- initial version

%prep
%setup -q -n krb4-%{version}
(cd lib/kafs;\
 cp -f ../krb/lifetime.c ../krb/str2key.c ../krb/get_default_principal.c .;\
 ln -sf ../roken/roken-common.h ../roken/resolve.h ../roken/resolve.c \
 ../roken/k_getpwuid.c ../roken/strlwr.c ../roken/warnerr.c .)
(cd appl/afsutil;\
 ln -sf ../../lib/kafs/kafs.h ../../lib/roken/roken-common.h .)
%patch0 -p1 -b .krb5
%patch1 -p1 -b .short
%patch2 -p1 -b .strlcpy

%build
LIBS="-lresolv -lcrypt" \
./configure --prefix=%{prefix} --enable-shared
(cd lib/roken; make)
(cd lib/kafs; make; make libkrbafs.a)
(cd appl/afsutil; make)

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT
(cd lib/kafs; make install DESTDIR=$RPM_BUILD_ROOT;\
 test -d $RPM_BUILD_ROOT%{prefix}/include/ || \
 mkdir -p $RPM_BUILD_ROOT%{prefix}/include/;\
 install -m 644 kafs.h $RPM_BUILD_ROOT%{prefix}/include/krbafs.h;\
 install -m 644 libkrbafs.a $RPM_BUILD_ROOT%{prefix}/lib)
(cd appl/afsutil; make install DESTDIR=$RPM_BUILD_ROOT)

%ifnarch i386
# CMU's aklog can't be built against Arla... not yet, anyway.
(mkdir -p $RPM_BUILD_ROOT/usr/athena/etc; \
 ln -s ../../kerberos/bin/afslog $RPM_BUILD_ROOT/usr/athena/etc/aklog)
%endif

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%{prefix}/include/*
%{prefix}/lib/*

%files utils
%defattr(-,root,root)
%{prefix}/bin/*

#%ifnarch i386
#/usr/athena/etc/*
#%endif
